]> git.rmz.io Git - dotfiles.git/commitdiff
bin/maic: set pipefail to fail in case maim was cancelled
authorSamir Benmendil <me@rmz.io>
Sun, 29 Oct 2023 16:51:20 +0000 (16:51 +0000)
committerSamir Benmendil <me@rmz.io>
Tue, 31 Oct 2023 00:06:58 +0000 (00:06 +0000)
bin/maic

index bdbb82f9097067a1fd7828f55fc610521415335a..1385b547d843071df4348f73f6c7adecab6409ca 100755 (executable)
--- a/bin/maic
+++ b/bin/maic
@@ -1,3 +1,5 @@
 #!/usr/bin/env bash
 
+set -o pipefail
+
 maim -q --select --hidecursor "$@" | xclip -selection clipboard -t image/png